use derive_more::Deref;
use serde::{Deserialize, Serialize};

#[derive(Deref, Debug, Clone, Default, PartialEq, Serialize, Deserialize)]
pub(crate) struct Color(usize);

#[derive(Debug, Clone, Default, PartialEq, Serialize, Deserialize)]
pub(crate) struct Tag {
    pub(crate) color: Color,
    pub(crate) description: Option<String>,
    pub(crate) deleted: bool,
}
